Bug Hunting Session
Bug 56679 - FILESAVE DOCX export color property for underlines not exported to DOCX
Summary: FILESAVE DOCX export color property for underlines not exported to DOCX
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: medium normal
Assignee: Adam CloudOn
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-02 13:19 UTC by Filippo Maguolo
Modified: 2013-06-24 09:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
underline-colors: sample docs in DOC/DOCX/RTF (78.02 KB, application/zip)
2012-12-11 12:42 UTC, stfhell
Details
DOCX containing text with underline color (11.10 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-06-13 13:50 UTC, Adam CloudOn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Filippo Maguolo 2012-11-02 13:19:14 UTC
Underline text color get lost saving or loading doc or docx.

Analizing docx (word/document.xml) here a sample part of xml:

<w:r>
	<w:rPr>
		<w:u w:val="double" w:color="00B0F0"/>
	</w:rPr>
	<w:t>sample</w:t>
</w:r>

Attribute "w:color" are not considered on reading and are missing on writing.
Comment 1 stfhell 2012-12-11 12:39:21 UTC
In case Filippo's report is a bit too condensed:

Both Writer and MS-Word allow definition of colors for character underlines (that is: the line, not the text itself). Text filters do not export this property to DOC and DOCX and also do not import it from DOC/DOCX - the only Word-compatible filter supporting underline colors currently is RTF.

Excel and PowerPoint do not support underline colors. I haven't checked if they are specified in OOXML (which would make them exportable to these formats).

Tested with LO 3.5.4 and 4.0.0.0alpha1 (Ubuntu 12.04). AOO 3.4.1 also does not support underline colors. So: changing platform and version.
Comment 2 stfhell 2012-12-11 12:42:30 UTC
Created attachment 71335 [details]
underline-colors: sample docs in DOC/DOCX/RTF

Sample documents created using Word 14.0 (Office 2010). And a screenshot showing the document as displayed by Word.

The RTF filter works best, but does not extend its support for underline colors to the comments.
Comment 3 Florian Reisinger 2013-04-21 14:03:41 UTC
Seems to be a valid problem: Version: 4.1.0.0.alpha0+
Build ID: fa72fc3eddbfabb82193452a4ba993b11d1584d
TinderBox: Win-x86@6, Branch:master, Time: 2013-04-18_23:11:53
Comment 4 Adam CloudOn 2013-06-13 13:37:46 UTC
Changed this bug from "DOC+DOCX" of "IMPORT+EXPORT" to "FILESAVE DOCX".
I've split this to 4 other bugs:

https://bugs.freedesktop.org/show_bug.cgi?id=56679  => FILESAVE DOCX
https://bugs.freedesktop.org/show_bug.cgi?id=65711  => FILESAVE DOC
https://bugs.freedesktop.org/show_bug.cgi?id=65708  => FILEOPEN DOC
https://bugs.freedesktop.org/show_bug.cgi?id=65710  => FILEOPEN DOCX
Comment 5 Adam CloudOn 2013-06-13 13:50:51 UTC
Created attachment 80773 [details]
DOCX containing text with underline color

Attached a DOCX that contains a single line of text with an underlined color.
When opening in LO and doing 'save as' the color is lost.
Comment 6 Commit Notification 2013-06-24 09:41:29 UTC
Adam Co committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6edcfde748604863dba40e982effab38d0cb0589

fdo#56679, fdo#65710 : fix for import and export of underline color



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.